﻿using DevExpress.DataAccess.Excel;
using DevExpress.Utils;
using DevExpress.XtraEditors;
using DevExpress.XtraGrid.Views.Grid;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : XtraForm
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            this.gridView.InitializeView
            (
                true,                           // Multi Select
                GridMultiSelectMode.CellSelect, // Grid Multi Select Mode
                DrawFocusRectStyle.CellFocus,   // Draw Focus Rect Style
                true,                           // Show Indicator
                true,                           // Show Column Headers
                true,                           // Allow Column Moving
                true,                           // Allow Column Resizing
                true,                           // Allow Filter
                true,                           // Allow Sort
                false,                          // Allow Cell Merge
                EditorShowMode.Default,         // Editor Show Mode
                false                           // Editable
            );

            this.gridView.OptionsBehavior.AutoPopulateColumns = true;

            ExcelWorksheetSettings excelWorksheetSettings = new ExcelWorksheetSettings("Student", "A1:E11");

            ExcelDataSource excelDataSource = new ExcelDataSource();

            excelDataSource.FileName      = @"Student.xlsx";
            excelDataSource.SourceOptions = new ExcelSourceOptions(excelWorksheetSettings);

            excelDataSource.Fill();

            this.gridControl.DataSource = excelDataSource;

            this.gridView.BestFitColumns();
        }

        #endregion
    }
}